#

Function CHARACTER

Syntax:

character character => denoted-character

Arguments and Values:

character---a character designator.

denoted-character---a character.

Description:

Returns the character denoted by the character designator.

Examples:

     (character #\a) =>  #\a
     (character "a") =>  #\a
     (character 'a) =>  #\A
     (character '\a) =>  #\a
     (character 65.) is an error.
     (character 'apple) is an error.

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if object is not a character designator.

See Also:

coerce

Notes:

     (character object) ==  (coerce object 'character)

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- CHARACTER-PROPOSAL:2-1-1

Copyright 1996-2001, Xanalys Inc. All rights reserved.